Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.collections.longs
Class AbstractLongCollection

    java.lang.Object
      edu.emory.mathcs.util.collections.longs.AbstractLongCollection

All Implemented Interfaces:
  LongCollection

Direct Known Subclasses:
  AbstractLongSet, LongArrayList

public abstract class AbstractLongCollection
extends java.lang.Object
implements LongCollection

Version:
  1.0
Author:
  Dawid Kurzyniec

Constructor Summary
`AbstractLongCollection()`

Method Summary
`boolean` | `add(long e)` Attempts to add the specified number to this collection.
`boolean` | `addAll(LongCollection c)` Attempts to add to this collection all the numbers contained in the specified collection.
`void` | `clear()` Removes all the numbers from this collection.
`boolean` | `contains(long e)` Returns true if this collection contains specified number; false otherwise.
`boolean` | `containsAll(LongCollection c)` Returns true if this collection contains all the numbers from collection c; false otherwise.
`boolean` | `isEmpty()` Returns true if this collection is empty; false otherwise.
`abstract LongIterator` | `iterator()` Returns the iterator over numbers contained in this collection.
`boolean` | `remove(long e)` Attempts to remove the specified number from this collection.
`boolean` | `removeAll(LongCollection c)` Attempts to remove from this collection all the numbers contained in the specified collection.
`boolean` | `retainAll(LongCollection c)` Attempts to remove from this collection all the numbers not contained in the specified collection.
`int` | `size()` Returns the number of elements in this collection.
`long` | `size64()` // PREPROC: Long,Int only Returns the number of elements in this collection.
`long[]` | `toArray()` Returns the newly allocated array containing all numbers from this collection, in the order returned by its iterator.
`long[]` | `toArray(long[] a)` Returns an array containing all of the numbers in this collection.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.emory.mathcs.util.collections.longs.LongCollection
`equals, hashCode`

Constructor Detail

### AbstractLongCollection

    public AbstractLongCollection()

Method Detail

### size

    public int size()

  Description copied from interface: `LongCollection`
  Returns the number of elements in this collection. If exceeds Integer.MAX_VALUE, then Integer.MAX_VALUE is returned. // PREPROC: Long,Int only

  Specified by:
    `size` in interface `LongCollection`

### size64

    public long size64()

  Description copied from interface: `LongCollection`
  // PREPROC: Long,Int only Returns the number of elements in this collection. // PREPROC: Long,Int only

  Specified by:
    `size64` in interface `LongCollection`

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `LongCollection`
  Returns true if this collection is empty; false otherwise.

  Specified by:
    `isEmpty` in interface `LongCollection`
  Returns:
    true if this collection is empty; false otherwise

### contains

    public boolean contains(long e)

  Description copied from interface: `LongCollection`
  Returns true if this collection contains specified number; false otherwise.

  Specified by:
    `contains` in interface `LongCollection`
  Returns:
    true if this collection contains specified number; false otherwise

### iterator

    public abstract LongIterator iterator()

  Description copied from interface: `LongCollection`
  Returns the iterator over numbers contained in this collection.

  Specified by:
    `iterator` in interface `LongCollection`
  Returns:
    the iterator over numbers contained in this collection.

### toArray

    public long[] toArray()

  Description copied from interface: `LongCollection`
  Returns the newly allocated array containing all numbers from this collection, in the order returned by its iterator.

  Specified by:
    `toArray` in interface `LongCollection`
  Returns:
    the array containing all numbers from this collection

### toArray

    public long[] toArray(long[] a)

  Description copied from interface: `LongCollection`
  Returns an array containing all of the numbers in this collection. If the collection fits in the specified array, it is returned therein. Otherwise, a new array is allocated.

  If this collection makes any guarantees as to what order its elements are returned by its iterator, this method must return the elements in the same order.

  Like the `LongCollection.toArray()` method, this method acts as bridge between array-based and collection-based APIs. Further, this method may, under certain circumstances, be used to save allocation costs.

  Specified by:
    `toArray` in interface `LongCollection`
  Parameters:
    `a` - the array into which the elements of this collection are to be stored, if it is big enough; otherwise, a new array is allocated for this purpose.
  Returns:
    an array containing all the elements in this collection

### add

    public boolean add(long e)

  Description copied from interface: `LongCollection`
  Attempts to add the specified number to this collection. Returns true if the collection was modified as a result of this call; false otherwise.

  Specified by:
    `add` in interface `LongCollection`
  Parameters:
    `e` - number to be added to this collection
  Returns:
    `true` if this collection was modified as a result of this call

### remove

    public boolean remove(long e)

  Description copied from interface: `LongCollection`
  Attempts to remove the specified number from this collection. Returns true if the collection was modified as a result of this call; false otherwise.

  Specified by:
    `remove` in interface `LongCollection`
  Parameters:
    `e` - number to be removed from this collection
  Returns:
    `true` if this collection was modified as a result of this call

### containsAll

    public boolean containsAll(LongCollection c)

  Description copied from interface: `LongCollection`
  Returns true if this collection contains all the numbers from collection c; false otherwise.

  Specified by:
    `containsAll` in interface `LongCollection`
  Returns:
    true if this collection contains all numbers from c; false otherwise

### addAll

    public boolean addAll(LongCollection c)

  Description copied from interface: `LongCollection`
  Attempts to add to this collection all the numbers contained in the specified collection. Returns true if the collection was modified as a result of this call; false otherwise.

  Specified by:
    `addAll` in interface `LongCollection`
  Parameters:
    `c` - a collection of numbers to be added to this collection
  Returns:
    `true` if this collection was modified as a result of this call

### retainAll

    public boolean retainAll(LongCollection c)

  Description copied from interface: `LongCollection`
  Attempts to remove from this collection all the numbers not contained in the specified collection. Returns true if the collection was modified as a result of this call; false otherwise.

  Specified by:
    `retainAll` in interface `LongCollection`
  Parameters:
    `c` - a collection of numbers to be retained in this collection
  Returns:
    `true` if this collection was modified as a result of this call

### removeAll

    public boolean removeAll(LongCollection c)

  Description copied from interface: `LongCollection`
  Attempts to remove from this collection all the numbers contained in the specified collection. Returns true if the collection was modified as a result of this call; false otherwise.

  Specified by:
    `removeAll` in interface `LongCollection`
  Parameters:
    `c` - a collection of numbers to be removed from this collection
  Returns:
    `true` if this collection was modified as a result of this call

### clear

    public void clear()

  Description copied from interface: `LongCollection`
  Removes all the numbers from this collection.

  Specified by:
    `clear` in interface `LongCollection`

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD